.\"	$NetBSD: maple.4,v 1.4 2005/12/26 19:48:12 perry Exp $
.\"
.\" Copyright (c) 2002 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by ITOH Yasufumi.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 17, 2002
.Dt MAPLE 4 dreamcast
.Os
.Sh NAME
.Nm maple
.Nd Maple bus driver
.Sh SYNOPSIS
.Cd "maple0 at shb?"
.Sh DESCRIPTION
The
.Nm
driver provides support for controlling the
Maple bus (controller ports).
.Sh IOCTLS
The following
.Xr ioctl 2
calls apply to Maple bus devices.
.Pp
.Bl -tag -width XXXXXXX
.It Dv MAPLEIO_GDEVINFO Fa struct maple_devinfo
Read, from the kernel, the device information of the device.
.Bd -literal -offset indent
struct maple_devinfo {
	uint32_t di_func;
	uint32_t di_function_data[3];
	uint8_t di_area_code;
	uint8_t di_connector_direction;
	char di_product_name[30];
	char di_product_license[60];
	uint16_t di_standby_power;
	uint16_t di_max_power;
};
.Ed
.El
.Sh FILES
.Bl -tag -width /dev/mapleXXXXX -compact
.It Pa /dev/maple Ns Ar P Ns Ar s
Maple bus device at port
.Ar P
(A-D),
subunit
.Ar s
(null for base device, 1-5 for expansion device)
.El
.Sh SEE ALSO
.Xr mkbd 4 ,
.Xr mlcd 4 ,
.Xr mmem 4 ,
.Xr mms 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.6 .
